<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ModelMap (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ModelMap (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/model/ModelRuleBindingException.html" title="class in org.gradle.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/model/ModelMap.html" target="_top">Frames</a></li>
<li><a href="ModelMap.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.model</div>
<h2 title="Interface ModelMap" class="title">Interface ModelMap&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - the contract type for all items</dd></dl>
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;, <a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a>, <a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../org/gradle/platform/base/BinaryContainer.html" title="interface in org.gradle.platform.base">BinaryContainer</a>, <a href="../../../org/gradle/platform/base/ComponentSpecContainer.html" title="interface in org.gradle.platform.base">ComponentSpecContainer</a>, <a href="../../../org/gradle/language/base/FunctionalSourceSet.html" title="interface in org.gradle.language.base">FunctionalSourceSet</a>, <a href="../../../org/gradle/testing/base/TestSuiteContainer.html" title="interface in org.gradle.testing.base">TestSuiteContainer</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">ModelMap&lt;T&gt;</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;, <a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a></pre>
<div class="block">Model backed map like structure allowing adding of items where instantiation is managed.
 <p>
 <a href="../../../org/gradle/model/Managed.html" title="annotation in org.gradle.model"><code>Managed</code></a> types may declare model map properties.
 Model maps can only contain managed types.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#afterEach(org.gradle.api.Action)">afterEach</a></strong>(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;configAction)</code>
<div class="block">Applies the given action to each item in the collection, as each item is required.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;S&gt;&nbsp;void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#afterEach(java.lang.Class,%20org.gradle.api.Action)">afterEach</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
         <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super S&gt;&nbsp;configAction)</code>
<div class="block">Applies the given action to each item of the given type in the collection, as each item is required.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#all(org.gradle.api.Action)">all</a></strong>(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;configAction)</code>
<div class="block">Applies the given action to each item in the collection, as each item is required.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#beforeEach(org.gradle.api.Action)">beforeEach</a></strong>(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;configAction)</code>
<div class="block">Applies the given action to each item in this collection, as each item is required.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;S&gt;&nbsp;void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#beforeEach(java.lang.Class,%20org.gradle.api.Action)">beforeEach</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
          <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super S&gt;&nbsp;configAction)</code>
<div class="block">Applies the given action to each item of the given type in this collection, as each item is required.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#containsKey(java.lang.Object)">containsKey</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;name)</code>
<div class="block">Returns true if this collection contains an item with the given name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#containsValue(java.lang.Object)">containsValue</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;item)</code>
<div class="block">Returns true if this collection contains the given item.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#create(java.lang.String)">create</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Defines an item with the given name and type T.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#create(java.lang.String,%20org.gradle.api.Action)">create</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
      <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;configAction)</code>
<div class="block">Defines an item with the given name and type T.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;S extends <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;<br>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#create(java.lang.String,%20java.lang.Class)">create</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
      <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type)</code>
<div class="block">Defines an item with the given name and type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;S extends <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;<br>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#create(java.lang.String,%20java.lang.Class,%20org.gradle.api.Action)">create</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
      <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
      <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super S&gt;&nbsp;configAction)</code>
<div class="block">Defines an item with the given name and type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#get(java.lang.Object)">get</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;name)</code>
<div class="block">Returns the item with the given name, if any.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#get(java.lang.String)">get</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the item with the given name, if any.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#isEmpty()">isEmpty</a></strong>()</code>
<div class="block">Returns true if this collection contains no items.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#keySet()">keySet</a></strong>()</code>
<div class="block">Returns the names of the items in this collection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#named(java.lang.String,%20org.gradle.api.Action)">named</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
     <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;configAction)</code>
<div class="block">Applies the given action to the given item, when the item is required.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#named(java.lang.String,%20java.lang.Class)">named</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
     <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../org/gradle/model/RuleSource.html" title="class in org.gradle.model">RuleSource</a>&gt;&nbsp;ruleSource)</code>
<div class="block">Applies the given rule source class to the given item, when the item is required.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#put(java.lang.String,%20T)">put</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
   <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&nbsp;instance)</code>
<div class="block">Adds an element to this <code>ModelMap</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#size()">size</a></strong>()</code>
<div class="block">Returns the number of items in this collection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#values()">values</a></strong>()</code>
<div class="block">Returns the items in this collection.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;S&gt;&nbsp;<a href="../../../org/gradle/model/ModelMap.html" title="interface in org.gradle.model">ModelMap</a>&lt;S&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#withType(java.lang.Class)">withType</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type)</code>
<div class="block">Returns a collection containing the items from this collection which are of the specified type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;S&gt;&nbsp;void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#withType(java.lang.Class,%20org.gradle.api.Action)">withType</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
        <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super S&gt;&nbsp;configAction)</code>
<div class="block">Applies the given action to each item of the given type in the collection, as each item is required.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;S&gt;&nbsp;void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/model/ModelMap.html#withType(java.lang.Class,%20java.lang.Class)">withType</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../org/gradle/model/RuleSource.html" title="class in org.gradle.model">RuleSource</a>&gt;&nbsp;rules)</code>
<div class="block">Applies the given rules to all items of the collection of the given type.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true#iterator()" title="class or interface in java.lang">iterator</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.model.ModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.model.<a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a></h3>
<code><a href="../../../org/gradle/model/ModelElement.html#getDisplayName()">getDisplayName</a>, <a href="../../../org/gradle/model/ModelElement.html#getName()">getName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="withType(java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withType</h4>
<pre>&lt;S&gt;&nbsp;<a href="../../../org/gradle/model/ModelMap.html" title="interface in org.gradle.model">ModelMap</a>&lt;S&gt;&nbsp;withType(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type)</pre>
<div class="block">Returns a collection containing the items from this collection which are of the specified type.</div>
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>S</code> - The type.</dd><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - The type.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The collection.</dd></dl>
</li>
</ul>
<a name="size()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>int&nbsp;size()</pre>
<div class="block">Returns the number of items in this collection.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the size of this collection.</dd></dl>
</li>
</ul>
<a name="isEmpty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>boolean&nbsp;isEmpty()</pre>
<div class="block">Returns true if this collection contains no items.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if this collection is empty.</dd></dl>
</li>
</ul>
<a name="get(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&nbsp;get(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;name)</pre>
<div class="block">Returns the item with the given name, if any.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name of the item.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The item, or null if no such item.</dd></dl>
</li>
</ul>
<a name="get(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&nbsp;get(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the item with the given name, if any.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name of the item.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The item, or null if no such item.</dd></dl>
</li>
</ul>
<a name="containsKey(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>containsKey</h4>
<pre>boolean&nbsp;containsKey(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;name)</pre>
<div class="block">Returns true if this collection contains an item with the given name.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name of the item.</dd>
<dt><span class="strong">Returns:</span></dt><dd>true if this collection contains an item with the given name.</dd></dl>
</li>
</ul>
<a name="containsValue(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>containsValue</h4>
<pre>boolean&nbsp;containsValue(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;item)</pre>
<div class="block">Returns true if this collection contains the given item.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>item</code> - The item.</dd>
<dt><span class="strong">Returns:</span></dt><dd>true if this collection contains the given item.</dd></dl>
</li>
</ul>
<a name="keySet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>keySet</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;keySet()</pre>
<div class="block">Returns the names of the items in this collection.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The names</dd></dl>
</li>
</ul>
<a name="create(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>void&nbsp;create(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Defines an item with the given name and type T. The item is not created immediately, but is instead created as it is required.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name.</dd></dl>
</li>
</ul>
<a name="create(java.lang.String, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>void&nbsp;create(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
          <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;configAction)</pre>
<div class="block">Defines an item with the given name and type T. The item is not created immediately, but is instead created as it is required.

 <p>The given action is invoked to configure the item when the item is required.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name.</dd><dd><code>configAction</code> - An action that initialises the item. The action is executed when the item is required.</dd></dl>
</li>
</ul>
<a name="create(java.lang.String, java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>&lt;S extends <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;void&nbsp;create(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type)</pre>
<div class="block">Defines an item with the given name and type. The item is not created immediately, but is instead created as it is required.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name.</dd></dl>
</li>
</ul>
<a name="create(java.lang.String, java.lang.Class, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>&lt;S extends <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;void&nbsp;create(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
                        <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super S&gt;&nbsp;configAction)</pre>
<div class="block">Defines an item with the given name and type. The item is not created immediately, but is instead created as it is required.

 <p>The given action is invoked to configure the item when the item is required.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name.</dd><dd><code>configAction</code> - An action that initialises the item. The action is executed when the item is required.</dd></dl>
</li>
</ul>
<a name="put(java.lang.String,java.lang.Object)">
<!--   -->
</a><a name="put(java.lang.String, T)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>put</h4>
<pre>void&nbsp;put(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
       <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&nbsp;instance)</pre>
<div class="block">Adds an element to this <code>ModelMap</code>.</div>
</li>
</ul>
<a name="named(java.lang.String, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>named</h4>
<pre>void&nbsp;named(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
         <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;configAction)</pre>
<div class="block">Applies the given action to the given item, when the item is required.

 <p>The given action is invoked to configure the item when the item is required. It is called after any actions provided to <a href="../../../org/gradle/model/ModelMap.html#beforeEach(org.gradle.api.Action)"><code>beforeEach(org.gradle.api.Action)</code></a> and <a href="../../../org/gradle/model/ModelMap.html#create(java.lang.String,%20org.gradle.api.Action)"><code>create(String,
 org.gradle.api.Action)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name.</dd><dd><code>configAction</code> - An action that configures the item. The action is executed when the item is required.</dd></dl>
</li>
</ul>
<a name="named(java.lang.String, java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>named</h4>
<pre>void&nbsp;named(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../org/gradle/model/RuleSource.html" title="class in org.gradle.model">RuleSource</a>&gt;&nbsp;ruleSource)</pre>
<div class="block">Applies the given rule source class to the given item, when the item is required.

 <p>Rules are applied in the scope of the item therefore:
 <ul>
 <li>subject by-type and by-path bindings are of inner scope</li>
 <li>subject can be bound by type to a child of the scope in which the rule is applied</li>
 <li>input by-path bindings are of inner scope</li>
 <li>input by-type bindings are of outer scope</li>
 </ul></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name.</dd><dd><code>ruleSource</code> - A rule source class.</dd></dl>
</li>
</ul>
<a name="beforeEach(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beforeEach</h4>
<pre>void&nbsp;beforeEach(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;configAction)</pre>
<div class="block">Applies the given action to each item in this collection, as each item is required.

 <p>The given action is invoked to configure the item when the item is required. It is called before any actions provided to <a href="../../../org/gradle/model/ModelMap.html#create(java.lang.String,%20org.gradle.api.Action)"><code>create(String, org.gradle.api.Action)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configAction</code> - An action that configures the item. The action is executed when the item is required.</dd></dl>
</li>
</ul>
<a name="beforeEach(java.lang.Class, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beforeEach</h4>
<pre>&lt;S&gt;&nbsp;void&nbsp;beforeEach(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
                  <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super S&gt;&nbsp;configAction)</pre>
<div class="block">Applies the given action to each item of the given type in this collection, as each item is required.

 <p>The given action is invoked to configure the item when the item is required. It is called before any actions provided to <a href="../../../org/gradle/model/ModelMap.html#create(java.lang.String,%20org.gradle.api.Action)"><code>create(String, org.gradle.api.Action)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - The type of elements to apply the action to.</dd><dd><code>configAction</code> - An action that configures the item. The action is executed when the item is required.</dd></dl>
</li>
</ul>
<a name="all(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>all</h4>
<pre>void&nbsp;all(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;configAction)</pre>
<div class="block">Applies the given action to each item in the collection, as each item is required.

 <p>The given action is invoked to configure the item when the item is required. It is called after any actions provided to <a href="../../../org/gradle/model/ModelMap.html#beforeEach(org.gradle.api.Action)"><code>beforeEach(org.gradle.api.Action)</code></a> and <a href="../../../org/gradle/model/ModelMap.html#create(java.lang.String,%20org.gradle.api.Action)"><code>create(String,
 org.gradle.api.Action)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configAction</code> - An action that configures the item. The action is executed when the item is required.</dd></dl>
</li>
</ul>
<a name="withType(java.lang.Class, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withType</h4>
<pre>&lt;S&gt;&nbsp;void&nbsp;withType(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
                <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super S&gt;&nbsp;configAction)</pre>
<div class="block">Applies the given action to each item of the given type in the collection, as each item is required.

 <p>The given action is invoked to configure the item when the item is required. It is called after any actions provided to <a href="../../../org/gradle/model/ModelMap.html#beforeEach(org.gradle.api.Action)"><code>beforeEach(org.gradle.api.Action)</code></a> and <a href="../../../org/gradle/model/ModelMap.html#create(java.lang.String,%20org.gradle.api.Action)"><code>create(String,
 org.gradle.api.Action)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - The type of elements to apply the action to.</dd><dd><code>configAction</code> - An action that configures the item. The action is executed when the item is required.</dd></dl>
</li>
</ul>
<a name="withType(java.lang.Class, java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withType</h4>
<pre>&lt;S&gt;&nbsp;void&nbsp;withType(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
                <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../org/gradle/model/RuleSource.html" title="class in org.gradle.model">RuleSource</a>&gt;&nbsp;rules)</pre>
<div class="block">Applies the given rules to all items of the collection of the given type.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - the type that the item must be/implement to have the rules applied</dd><dd><code>rules</code> - rules to apply</dd></dl>
</li>
</ul>
<a name="afterEach(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterEach</h4>
<pre>void&nbsp;afterEach(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;configAction)</pre>
<div class="block">Applies the given action to each item in the collection, as each item is required.

 <p>The given action is invoked to configure the item when the item is required. It is called after any actions provided to <a href="../../../org/gradle/model/ModelMap.html#beforeEach(org.gradle.api.Action)"><code>beforeEach(org.gradle.api.Action)</code></a>, <a href="../../../org/gradle/model/ModelMap.html#create(java.lang.String,%20org.gradle.api.Action)"><code>create(String,
 org.gradle.api.Action)</code></a>, and other mutation methods.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configAction</code> - An action that configures the item. The action is executed when the item is required.</dd></dl>
</li>
</ul>
<a name="afterEach(java.lang.Class, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterEach</h4>
<pre>&lt;S&gt;&nbsp;void&nbsp;afterEach(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
                 <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super S&gt;&nbsp;configAction)</pre>
<div class="block">Applies the given action to each item of the given type in the collection, as each item is required.

 <p>The given action is invoked to configure the item when the item is required. It is called after any actions provided to <a href="../../../org/gradle/model/ModelMap.html#beforeEach(org.gradle.api.Action)"><code>beforeEach(org.gradle.api.Action)</code></a>, <a href="../../../org/gradle/model/ModelMap.html#create(java.lang.String,%20org.gradle.api.Action)"><code>create(String,
 org.gradle.api.Action)</code></a>, and other mutation methods.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - The type of elements to apply the action to.</dd><dd><code>configAction</code> - An action that configures the item. The action is executed when the item is required.</dd></dl>
</li>
</ul>
<a name="values()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>values</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../org/gradle/model/ModelMap.html" title="type parameter in ModelMap">T</a>&gt;&nbsp;values()</pre>
<div class="block">Returns the items in this collection.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The items.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/model/ModelRuleBindingException.html" title="class in org.gradle.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/model/ModelMap.html" target="_top">Frames</a></li>
<li><a href="ModelMap.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
